RUDOF(1)

NAME
rudof query - Run SPARQL queries

SYNOPSIS
rudof query [OPTIONS] --query <INPUT> [DATA]...

DESCRIPTION
Run SPARQL queries

  Arguments:

    [DATA]...

OPTIONS

-t, --data-format <FORMAT>

    RDF Data format

    [default: turtle] [possible values: turtle, ntriples, rdfxml, trig, n3, nquads, jsonld, pg]

-b, --base <IRI>

    Base IRI (used to resolve relative IRIs in RDF data)

--query-type <TYPE>

    Query type (SELECT, ASK, CONSTRUCT, DESCRIBE)

    [default: select] [possible values: select, construct, ask, describe]

--reader-mode <MODE>

    RDF Reader mode

    [default: strict] [possible values: lax, strict]

-q, --query <INPUT>

    SPARQL query

-r, --result-format <FORMAT>

    Result query format

    [default: internal] [possible values: internal, turtle, ntriples, jsonld, json, rdfxml, csv, markdown, asciitable, trig, n3, nquads]

-c, --config-file <FILE>

    Config file name

-o, --output-file <FILE>

    Output file name, default = terminal

--force-overwrite

    Force overwrite to output file if it already exists

--backend <BACKEND>

    Choose which RDF data backend to load the input into.

    - `memory` (default): parse into an in-process oxrdf::Graph. - `qlever`: launch a local QLever Docker container and index the input on disk. Requires the binary to be built with the `qlever` feature. - `endpoint=<URL_OR_NAME>`: query an external SPARQL endpoint by URL or by the name of an endpoint registered in the TOML config. See also the `--endpoint` / `-e` shortcut.

-e, --endpoint <URL_OR_NAME>

    Shortcut for `--backend endpoint=<URL_OR_NAME>`.

    Accepts either a full SPARQL endpoint URL or the name of an endpoint registered in the TOML config. Mutually exclusive with `--backend`.

-h, --help

    Print help (see a summary with '-h')